from eventAPI import *
from APIUtils import *

def fireEvent(e):
    if ((getTag(e, "lFlagS") & 0x100) == 0):
        return 1
    global k
    k = getTag(e, "kssAD")
    if (k < 3):
        return 1
    elif (k == 3):
        setTag(e, "kssAD", 4)
        return (poseYesNo(e, ["You find yourselves in the entrance room of this dwelling. There is no sign of the Arch-Druid.",
                              "","Do you want to leave ?"]) == 0)
    else:
        return (poseYesNo(e, ["Do you want to leave the house ?"]) == 0)
